我要发帖 回复

新手上路

1

主题

18

积分

0

专家分

:

私信
发表时间 : 2009-11-9 12:16:07 | 浏览 : 2124    评论 : 3
不知道把这个问题发到这里合不合适,不过osgchina论坛我注册不了,就奔着FlySky来这里了,求助。。
我下载了VPB0.9.7,OSG是2.8.2的,可是编译VPB的时候出现一大堆的错误,类似这样
error C2039: “getTerrainTechnique”: 不是“osgTerrain::Terrain”的成员
可是OSG中的TerrainTile中有这个成员函数,而且也是Terrain的友元类,为什么还是出错呢?

最近VR访客

FlySky 评论于2009-11-10 00:38:01
OSG版本问题,,,0.97的版本似乎很老了,,建议你SVN最新的源码,,然后再编译就不会有问题的~~~~~~
osgChina注册没有问题,,欢迎注册加入OSG中国~~~~~~~

OSG中国官方网站:http://www.osgChina.org
OSG中国官方讨论区:http://bbs.osgChina.org

OSG专业群-OSG地形研究者 49668412
      OSG地形专业研究 45763709
lisa1129 评论于2009-11-10 15:49:32
解决了,谢谢FlySky,呵呵,昨天刚把电脑问题解决,OSG也注册成功了。。。
2# FlySky
Nothing 评论于2011-10-23 20:41:20
我以前也遇到过,从SVN上面check下来就没问题。

手机版|VR开发网 ( 津ICP备18009691号 ) 统计 网安备12019202000257

GMT+8, 2020-9-23 08:35 AM

返回顶部